aboutsummaryrefslogtreecommitdiff
path: root/git-am.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2005-12-14 13:04:43 -0800
committerJunio C Hamano <junkio@cox.net>2005-12-14 13:04:43 -0800
commit9a26dbd120110ad4e07d3047abc13d615183c8ec (patch)
tree6d17a27f3ba5417be85d6b072ab3bfd131c95738 /git-am.sh
parent2db8aaeca1dca4e940829b87d1164e5b42ff49b4 (diff)
parentb3f041fb0f7de167dbb6711b0a231d36c4b5de08 (diff)
downloadgit-9a26dbd120110ad4e07d3047abc13d615183c8ec.tar.gz
git-9a26dbd120110ad4e07d3047abc13d615183c8ec.tar.xz
Merge branch 'hold/am'
Diffstat (limited to 'git-am.sh')
-rwxr-xr-xgit-am.sh5
1 files changed, 1 insertions, 4 deletions
diff --git a/git-am.sh b/git-am.sh
index 39f255209..343bee9d8 100755
--- a/git-am.sh
+++ b/git-am.sh
@@ -160,10 +160,7 @@ else
# Start afresh.
mkdir -p "$dotest" || exit
- # cat does the right thing for us, including '-' to mean
- # standard input.
- cat "$@" |
- git-mailsplit -d$prec "$dotest/" >"$dotest/last" || {
+ git-mailsplit -d"$prec" -o"$dotest" -b -- "$@" > "$dotest/last" || {
rm -fr "$dotest"
exit 1
}